package com.bonus.canteen.core.menu.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

@ApiModel("修复现有原料类别以及原料编码")
public class MenuRepairMaterialVO implements Serializable {
   @ApiModelProperty("主键id")
   private Long id;
   @ApiModelProperty("原料编码(原有数据)")
   private String nutritionCode;
   @ApiModelProperty("原料编码(现存数据)")
   private String materialCode;
   @ApiModelProperty("大类")
   private String bigType;
   @ApiModelProperty("小类")
   private String littleType;

   public Long getId() {
      return this.id;
   }

   public String getNutritionCode() {
      return this.nutritionCode;
   }

   public String getMaterialCode() {
      return this.materialCode;
   }

   public String getBigType() {
      return this.bigType;
   }

   public String getLittleType() {
      return this.littleType;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setNutritionCode(final String nutritionCode) {
      this.nutritionCode = nutritionCode;
   }

   public void setMaterialCode(final String materialCode) {
      this.materialCode = materialCode;
   }

   public void setBigType(final String bigType) {
      this.bigType = bigType;
   }

   public void setLittleType(final String littleType) {
      this.littleType = littleType;
   }
}
